/*
 * Timer Libery
*/

# include "Arduino.h"
# include "timer.h"

//------ Objekt erstellen
Timer::Timer() {
}

// ----------Einschalt Verzögerung
bool Timer::delayOn(bool on, uint32_t wert) {
  if (!on) _ms = millis();
  if (millis() - _ms >= wert) {
    return true;
  }
  return false;
}
// --------------Ausschalt Verzögerung
bool Timer::delayOff(bool on, uint32_t wert) {
  if (on) {
    _set = true;
    _ms = millis();
  }
  if (millis() - _ms >= wert )  _set = false;
  return (_set);
}
// --------------Impuls Zeit
bool Timer::pulsOn(bool on, uint32_t wert) {
  if (!on ) _ms = millis();
  if (on & ( millis() - _ms < wert)) {
    return true;
  }
  return false;
}

//-------------- cycle Timer
bool Timer::cycle(bool on, uint32_t wert) {
  if (!on) {
    _ms = millis();
    return false;
  }
  else if ( millis() - _ms >= wert) {
    _ms = millis();
    return true;
  }
  return false;
}
//----------- Blinker
bool Timer::blink(bool on, uint32_t wert) {
  if (!on) {
    _ms = millis();
    _set = false;
    return false;
  }
  if (millis() - _ms >= wert) {
    _ms = millis();
    _set = !_set;
  }
  return _set;
}

//----------- Timer reset
void Timer::reset() {
  _ms = millis();
  _set=false;
}
