/*
  Timer Libery
  Stellt verschiedene Timer Funktionen zur Verfügung
  Einschalt Verzögerung , Ausschalt Verzögerung, Impuls Zeit
  zyklische Vorgänge (ein Durchlauf) 
  blinker ein/aus Zeit sind gleich
  reset rücksetzen des Zeitwertes
*/
#ifndef timer_h
#define timer_h

#include "Arduino.h"

class Timer {
  public:
    Timer();
    bool delayOn(bool on, uint32_t wert);   // Einschaltverzögerung
    bool delayOff(bool on, uint32_t wert);  // Ausschaltverzögerung
    bool pulsOn(bool on, uint32_t wert);    // Impulszeit
    bool cycle(bool on, uint32_t wert);     // Zyklisch
    bool blink(bool on, uint32_t wert);     // Blinker
    void reset(); // Reset Timerwert

  private:
    unsigned long _ms;// Startwert für millis()
    bool _set;        // Hilfsflag

};
#endif
